function gr_liche

global Nx Ny dx dy nr wng Eg scrsz

handle=findobj('Tag','vid_h');
nr=str2num(get(handle,'String'));

out=wng;
E=Eg;

% pricny vektor

Ed = zeros( Nx, Ny);     % diagonln hranov koeficienty
Eh = zeros( Nx, Ny+1);   % horizontln hranov koeficienty
Ev = zeros( Nx+1, Ny);   % vertikln hranov koeficienty

ind = 1;
for n=1:Ny
  for m=1:Nx
    Ed(m,n) = E( ind, nr);
    ind = ind + 1;
  end
end

Eh( 2:Nx, 2) = E( ind:(ind+Nx-2), nr);
ind = ind + Nx-1;
for n=3:Ny
  for m=1:Nx
    Eh(m,n) = E( ind, nr);
    ind = ind + 1; 
  end
end

for n=1:Ny
  for m=2:Nx
    Ev(m,n) = E( ind, nr);
    ind = ind + 1; 
  end
end

Ex = zeros( Nx, Ny);     % x-ova slozky vektoru el.intenzity
Ey = Ex;                 % y-ova slozky vektoru el.intenzity

for n=1:Ny
  for m=1:Nx
    Ex(m,n) = 0.5*( + Eh(m,n) - Ev(m+1,n) - Ed(m,n)) / dx(m);
    Ey(m,n) = 0.5*( - Eh(m,n) + Ev(m+1,n) - Ed(m,n)) / dy(n);
  end
end


Emax = max( max( abs( sqrt( Ex*Ey'))));

x(1) = dx(1)/2;
for m=2:Nx
  x(m) = x(m-1) + dx(m-1)/2 + dx(m)/2;
end
y(1) = dy(1)/2;
for m=2:Ny
  y(m) = y(m-1) + dy(m-1)/2 + dy(m)/2;
end
A = real( Ex)/Emax; B = real( Ey)/Emax;
h1=figure();
set(h1,'Position',[scrsz(3)/2-500 scrsz(4)/2-250 1000 500]);
subplot(1,2,1);
quiver( x, y, A', B');
title(['Et, kn = ',num2str( out( nr))]);


% podelna slozka

Em = zeros( Nx+1, Ny+1);

Em( 3:Nx, 2) = E( ind:(ind+Nx-3), nr);
ind = ind + Nx-2;
for n=3:Ny
  for m=2:Nx
    Em(m,n) = E( ind, nr);
    ind = ind + 1; 
  end
end

x(1) = 0;
for m=2:Nx+1
  x(m) = x(m-1) + dx(m-1);
end
y(1) = dy(1)/2;
for m=2:Ny+1
  y(m) = y(m-1) + dy(m-1);
end

subplot(1,2,2);
surf( x, y, abs( Em')/max(max(abs(Em))));
title(['Ez, kn = ',num2str( out( nr))]);